## teams-for-linux-appimage 1.4.18

=== debian/changelog ===
teams-for-linux-appimage (1.4.18-1+1.5) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Jan 2025 13:23:24 +0000

teams-for-linux-appimage (1.4.18-1) unstable; urgency=low

  * New Release.

 --  Kimi <noreply@nodomain.org>  Tue, 27 Feb 2024 15:00:00 -0300
