=== debian/control ===
Source: teams-for-linux-appimage
Section: sound
Priority: optional
Maintainer: Kimi <noreply@nodomain.org>
#Build-Depends:
Standards-Version: 4.5.0
Homepage: https://github.com/IsmaelMartinez/teams-for-linux


Package: teams-for-linux-appimage
Architecture: amd64
Depends: wget
Recommends: firejail (>= 0.9.72), firetools (>= 0.9.72)
Section: sound
Priority: optional
Homepage: https://github.com/IsmaelMartinez/teams-for-linux
Description: Teams for Linux
 Unofficial Microsoft Teams for Linux client
