=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export TITLE="Teams AppImage"
export executable=teams-for-linux
export executable_tag=appimage
export pkgname=$(executable)-$(executable_tag)
export uploaddir=/usr/src/packages/SOURCES
# Get pkgver from .dsc file
export pkgver=$(shell cat $(uploaddir)/$(pkgname).dsc | sed 's/Standards-Version/SV/g' | grep Version: | cut -d' ' -f2 | cut -d'-' -f1)
export pkgrel=1
export MAINTAINER=Kimi
export MAINTAINEREMAIL=noreply@nodomain.org
export srcdir=/usr/src/packages/SOURCES
export pkgdir_head=/usr/src/packages/BUILD/debian
#export pkgdir=$(pkgdir_head)/$(pkgname)
export pkgdir=$(pkgdir_head)/tmp
export CONTROLFILE=/usr/src/packages/BUILD/debian/changelog
export DAY=$(shell LANG=en_us_88591; date +"%a")
export DAYNUM=$(shell LANG=en_us_88591; date +"%d")
export MONTH=$(shell LANG=en_us_88591; date +"%b")
export YEAR=$(shell LANG=en_us_88591; date +"%Y")
export TIMESTRING=$(shell LANG=en_us_88591; date +"%T")
export HOUR=$(shell LANG=en_us_88591; date -d '1 hour ago' +"%H")
export MINUTE=$(shell LANG=en_us_88591; date +"%M")
export delaythis=$(shell sleep 2)
export SECOND=$(shell LANG=en_us_88591; date +"%S")
export TIMEZONE=$(shell LANG=en_us_88591; date +"%z")
export APPIMAGE="https://github.com/IsmaelMartinez/$(executable)/releases/download/v$(pkgver)/$(executable)-$(pkgver).AppImage"
export iconName=$(pkgname)
export icon=$(pkgdir)/usr/share/icons/hicolor/scalable/apps/$(iconName).svg
export script_one=$(pkgdir)/usr/local/bin/download-$(executable)-$(executable_tag)

%:
	dh $@

override_dh_auto_configure:
	echo
	echo "--- Start override_dh_auto_configure: ---"
	echo
	echo
	echo "--- End override_dh_auto_configure: ---"
	echo

override_dh_auto_build:
	echo
	echo "--- Start override_dh_auto_build: ---"
	echo
	echo "pkgname=$(pkgname)"
	echo "pkgver=$(pkgver)"
	#find /usr/src/packages
	echo
	echo "--- End override_dh_auto_build: ---"
	echo

override_dh_auto_test:
	echo
	echo "--- Start override_dh_auto_test: ---"
	echo
	echo
	echo "--- End override_dh_auto_test: ---"
	echo

override_dh_usrlocal:
	echo
	echo "--- Start override_dh_usrlocal: ---"
	echo
	echo
	echo "--- End override_dh_usrlocal: ---"
	echo

override_dh_shlibdeps:
	echo
	echo "--- Start override_dh_shlibdeps: ---"
	echo
	echo
	echo "--- End override_dh_shlibdeps: ---"
	echo

#override_dh_strip:
#	echo
#	echo "--- Start override_dh_strip: ---"
#	echo
#	echo
#	echo "--- End override_dh_strip: ---"
#	echo

override_dh_auto_install:
	echo
	echo "--- Start override_dh_auto_install: ---"
	echo
	echo pwd=$(shell pwd)
	echo
	echo "Installs $(executable) AppImage version"
	echo srcdir=$(srcdir)
	echo pkgdir_head=$(pkgdir_head)
	echo pkgdir=$(pkgdir)
	echo "----------------------------------------"
	echo
	echo "$(executable) AppImage releases"
	echo "================================="
	echo
	echo "Execute terminal command to open web page:"
	echo
	echo "xdg-open \"https://github.com/IsmaelMartinez/$(executable)/releases\""
	echo
	echo "----------------------------------------"
	mkdir -p -v  "$(pkgdir)/opt/appimages"
	touch "$(pkgdir)/opt/appimages/$(executable).AppImage"
	chmod 755 "$(pkgdir)/opt/appimages/$(executable).AppImage"
	#chmod 644 "$(pkgdir)/opt/appimages/$(executable).AppImage"
	#install -Dm755 "$(srcdir)/$(executable).sh" "$(pkgdir)/usr/bin/$(executable)"
	install -dm755 "$(pkgdir)/usr/share/icons/hicolor/scalable/apps"
	echo "Blue"
	echo "<svg xmlns=\"http://www.w3.org/2000/svg\" xml:space=\"preserve\" width=\"256\" height=\"256\" viewBox=\"0 0 67.7 67.7\">" > $(icon)
	echo "  <circle cx=\"35.974\" cy=\"12.709\" r=\"9.878\" fill=\"#7b83eb\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill-opacity=\".1\" d=\"M35.266 14.802h-8.924v.215l.061.185a9.94 9.94 0 0 0 11.694 7.14v-4.71a2.864 2.864 0 0 0-2.83-2.83z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <circle cx=\"57.274\" cy=\"15.879\" r=\"7.416\" fill=\"#5059c9\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill=\"#5059c9\" d=\"M64.53 25.388H47.912a1.372 1.372 0 0 0-1.386 1.353v17.14a10.863 10.863 0 0 0 8.401 10.771 10.585 10.586 0 0 0 12.772-10.34V28.62c0-1.754-1.446-3.2-3.169-3.2z\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill=\"#7b83eb\" d=\"M52.898 28.557v20.125a16.925 16.925 0 0 1-33.849 0V28.557a3.165 3.166 0 0 1 3.17-3.168h27.51a3.185 3.185 0 0 1 3.168 3.168z\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill-opacity=\".2\" d=\"M33.143 16.925h-6.062a9.878 9.878 0 0 0 8.923 5.632v-2.801a2.864 2.864 0 0 0-2.83-2.831z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <path fill-opacity=\".1\" d=\"M38.097 25.388V52.19a2.8 2.8 0 0 1-2.215 2.74 1.985 1.985 0 0 1-.617.091H20.312a17.693 17.693 0 0 1-1.23-6.37V28.558a3.165 3.166 0 0 1 3.168-3.168Z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <path fill-opacity=\".2\" d=\"M35.974 25.388v28.926a2.153 2.153 0 0 1-.092.615 2.8 2.8 0 0 1-2.739 2.185H21.326a15.17 15.17 0 0 1-1.754-4.216 17.417 17.417 0 0 1-.521-4.246V28.557a3.165 3.166 0 0 1 3.168-3.168zm0 0v24.68a2.864 2.864 0 0 1-2.831 2.83H19.572a17.417 17.417 0 0 1-.521-4.246V28.557a3.165 3.166 0 0 1 3.168-3.168zm-13.755 0a3.165 3.166 0 0 0-3.168 3.17V48.65a17.83 17.83 0 0 0 .52 4.248h11.48c1.537 0 2.768-1.292 2.798-2.83v-24.68z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <path fill=\"#4b53bc\" d=\"M2.832 16.925H31.02a2.844 2.844 0 0 1 2.83 2.83v28.19a2.844 2.844 0 0 1-2.83 2.83H2.832a2.843 2.843 0 0 1-2.83-2.83v-28.19a2.844 2.844 0 0 1 2.83-2.83z\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill=\"#fff\" d=\"M25.357 27.449h-6.338v16.957h-4.156V27.449H8.495v-4.154h16.862z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <path fill=\"none\" d=\"M.001 0H67.7v67.7H0Z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "</svg>" >> $(icon)    
	echo "Purple"
	echo "<svg xmlns=\"http://www.w3.org/2000/svg\" xml:space=\"preserve\" width=\"256\" height=\"256\" viewBox=\"0 0 67.7 67.7\">" > $(icon)
	echo "  <circle cx=\"35.974\" cy=\"12.709\" r=\"9.878\" fill=\"#b37beb\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill-opacity=\".1\" d=\"M35.266 14.802h-8.924v.215l.061.185a9.94 9.94 0 0 0 11.694 7.14v-4.71a2.864 2.864 0 0 0-2.83-2.83z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <circle cx=\"57.274\" cy=\"15.879\" r=\"7.416\" fill=\"#8c50c9\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill=\"#8c50c9\" d=\"M64.53 25.388H47.912a1.372 1.372 0 0 0-1.386 1.353v17.14a10.863 10.863 0 0 0 8.401 10.771 10.585 10.586 0 0 0 12.772-10.34V28.62c0-1.754-1.446-3.2-3.169-3.2z\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill=\"#b37beb\" d=\"M52.898 28.557v20.125a16.925 16.925 0 0 1-33.849 0V28.557a3.165 3.166 0 0 1 3.17-3.168h27.51a3.185 3.185 0 0 1 3.168 3.168z\" clip-rule=\"evenodd\" style=\"font-variation-settings:normal;-inkscape-stroke:none\"/>" >> $(icon)
	echo "  <path fill-opacity=\".2\" d=\"M33.143 16.925h-6.062a9.878 9.878 0 0 0 8.923 5.632v-2.801a2.864 2.864 0 0 0-2.83-2.831z\" clip-rule=\"evenodd\"/>" >> $(icon)
	echo "  <path fill-opacity=\".1\" d=\"M38.097 25.388V52.19a2.8 2.8 0 0 1-2.215 2.74 1.985 1.985 0 0 1-.617.091H20.312a17.693 17.693 0 0 1-1.23-6.37V28.558a3.165 3.166 0 0 1 3.168-3.168Z\" clip-rule=\"evenodd\"/>" >> $(icon)
